Deb to arch, fail to launch

Hi, my institute is migrating to IceWarp platform soon. I saw on IceWarp website that one of the apps FileSync has a Linux version. The installation file is .deb. I googled and tried debtap to convert the package. I got it installed but I couldn’t get it launched. What could possibly be the reason to this situation?

Hi @sweizhong,

I don’t know if I might be able to help or not. but I feel I have to point out there’s no information for those of us wishing to help.

Please post journalctl -f (syslog AFAIK) entries of the program, while trying to run the program.

The problem can be caused by many thing, and those logs would be necessary to start debugging.

Regards,

Thank you for replying. Sorry, I am still new to Linux and Manjaro. I am not sure if this is what you mean. I ran the code, and launched the program, and this is what I got in the terminal.

[simwc@sim-porteger830 ~]$ journalctl -f
-- Logs begin at Sun 2020-12-06 08:14:16 +08. --
12月 18 20:26:42 sim-porteger830 konsole[10013]: kf.notifications: Playing audio notification failed: Destroyed
12月 18 20:26:42 sim-porteger830 systemd[1071]: app-org.kde.konsole-8f7c48e4271a463cb1320c06910e7af0.scope: Succeeded.
12月 18 20:26:42 sim-porteger830 plasmashell[8844]: Using QByteRef with an index pointing outside the valid range of a QByteArray. The corresponding behavior is deprecated, and will be changed in a future version of Qt.
12月 18 20:26:42 sim-porteger830 kwin_x11[8796]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 53658, resource id: 29360375, major code: 18 (ChangeProperty), minor code: 0
12月 18 20:26:44 sim-porteger830 plasmashell[8844]: Using QByteRef with an index pointing outside the valid range of a QByteArray. The corresponding behavior is deprecated, and will be changed in a future version of Qt.
12月 18 20:26:44 sim-porteger830 plasmashell[8844]: Using QByteRef with an index pointing outside the valid range of a QByteArray. The corresponding behavior is deprecated, and will be changed in a future version of Qt.
12月 18 20:26:44 sim-porteger830 systemd[1071]: Started Konsole - Terminal.
12月 18 20:26:44 sim-porteger830 kwin_x11[8796]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 55017, resource id: 29360383, major code: 18 (ChangeProperty), minor code: 0
12月 18 20:26:44 sim-porteger830 kwin_x11[8796]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 55570, resource id: 16781362, major code: 3 (GetWindowAttributes), minor code: 0
12月 18 20:26:44 sim-porteger830 kwin_x11[8796]: qt.qpa.xcb: QXcbConnection: XCB error: 9 (BadDrawable), sequence: 55571, resource id: 16781362, major code: 14 (GetGeometry), minor code: 0
12月 18 20:26:59 sim-porteger830 plasmashell[8844]: Using QByteRef with an index pointing outside the valid range of a QByteArray. The corresponding behavior is deprecated, and will be changed in a future version of Qt.
12月 18 20:26:59 sim-porteger830 plasmashell[8844]: Using QByteRef with an index pointing outside the valid range of a QByteArray. The corresponding behavior is deprecated, and will be changed in a future version of Qt.
12月 18 20:26:59 sim-porteger830 systemd[1071]: Started IceWarp File Sync - IceWarp File Synchronizer.
12月 18 20:26:59 sim-porteger830 systemd[1071]: app-icewarpfs-20454c9bcfee4757aafffe035a95b376.scope: Succeeded.
12月 18 20:26:59 sim-porteger830 plasmashell[8844]: Using QByteRef with an index pointing outside the valid range of a QByteArray. The corresponding behavior is deprecated, and will be changed in a future version of Qt.
12月 18 20:26:59 sim-porteger830 kwin_x11[8796]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 58429, resource id: 29360396, major code: 18 (ChangeProperty), minor code: 0

Hi @sweizhong, and you’re welcome.

As I said in my original reply, I might be able to help, but I also might not. (I, myself am no expert, but I saw something necessary and told you.)

From what I see in what you’ve provided, I can’t find much wrong, proving that I might not be the one that can help you.

I do see a Qt error, but it’s not critical, so I don’t think that is the cause. But, once again, I might be wrong.

  • which command did you use to start filesync?

  • which python version is installed?
    python --version and python2 --version

  • currently not compatible with python3?!

icewarpfs needs python2 and dependencies

IWFSSetup-13.0.0  python2 --version
Python 2.7.18

for testing times installed and executed with:

python2 /usr/bin/icewarpfs
icewarpfs

Thank you very much. It manage to launch, after installing python2 and run python2 /usr/bin/icewarpfs

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.